<!DOCTYPE html> 
<html lang ="en">
    <head>
        <meta charset ="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="/css/gral.css">
        <link rel="stylesheet" type="text/css" href="/css/products.css">
        <link rel="stylesheet" type="text/css" href="/css/products2.css">
        <link href="https://fonts.googleapis.com/css?family=Great+Vibes|Lemonada&display=swap" rel="stylesheet">
        <title>Taitava tonttu - Tuotteet</title>
    </head> 
    <body>
        <header>
            <% if (user) { %>
                <% include inMenu.ejs %>
            <% } else { %>
                <% include outMenu.ejs %>
            <% } %>
        </header>
        <main>
            <div class="notice">
                <h2>Huom!</h2>
                <p>Kaikki tuotteet valmistetaan tilausten perusteella. <br> Valmistusaika riippuu tilauksesi koosta.</p>
            </div>
            <div class="lights"></div>
            <div class="filtersBox">
                <h5>Suodattimet: </h5>
                <input type="checkbox" name ="ballsBox" id="ballsBox" class="filterCheckbox" onchange="filterChange(this)"> 
                <label for="ballsBox" class="filter">Pallot</label>
                <input type="checkbox" name ="starsBox" id="starsBox" class="filterCheckbox" onchange="filterChange(this)">
                <label for="starsBox" class="filter">Tähdet</label>
                <input type="checkbox" name ="setsBox" id="setsBox" class="filterCheckbox" onchange="filterChange(this)"> 
                <label for="setsBox" class="filter">Kokoelmat</label>
                <input type="checkbox" name ="wreathsBox" id="wreathsBox" class="filterCheckbox" onchange="filterChange(this)">
                <label for="wreathssBox" class="filter">Seppeleet</label>
            </div>
            <div class="productsSection">
                <% for (let i = 0; i < products.length; i++) { %>
                    <form class="productBox" id="<%= products[i].photo %>" keywords="<%= products[i].keywords %>" action="/products/toCart" method="POST">
                        <div class="productPhoto">
                            <input type="hidden" name="photo" value="<%= products[i].photo %>">
                            <img src="../../images/products/<%= products[i].photo %>.jpg">
                        </div>
                        <div class="productInfo">
                            <div class="infoA">
                                <input type="hidden" name="productName" value="<%= products[i].name %>">
                                <h3 class="name"><%= products[i].name %></h3>
                                <p class="description"><%= products[i].description %></p>
                                <input type="hidden" name="price" value="<%= products[i].price %>">
                                <h4 class="price"><%= products[i].price %></h4>
                            </div>
                        <div class="infoB">
                            <div class="cartInfo">
                                <div class="color">
                                    <label for="colors" class="colorsLabel">Valitse värit:</label>
                                    <% if (products[i].name.toLowerCase().indexOf("2") != -1) { %>
                                        <% include värit2.ejs %>
                                    <% }else if (products[i].name.toLowerCase().indexOf("3") != -1) { %>
                                        <% include värit3.ejs %>   
                                    <% } else if (products[i].name.toLowerCase().indexOf("wreath") != -1) { %>
                                        <% include värit1.ejs %>    
                                    <% } else { %>
                                        <% include värit4.ejs %>
                                    <% } %>
                                </div>
                                <div class="quantity">
                                    <label for="quantity" class="quantityLabel">Valitse määrä:</label>
                                    <select class="quantitySelect" name="quantity" id="quantity-<%= products[i].photo %>">
                                        <option value="no-selected" disabled selected value>0</option>
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="3">3</option>
                                        <option value="4">4</option>
                                        <option value="5">5</option>
                                    </select>
                                </div>
                            </div>
        
                            <div class="toCart">
                                <input class="cButton" name="cButton" id="cB-<%= products[i].photo %>" type="submit" value="Ostokoriin">
                                <% if (user) { %>
                                    <input class="wButton" name="wButton" id="wB-<%= products[i].photo %>" type="submit" value="Toivellistaan" formaction="/products/toWishList">
                                <% } %>
                            </div>
                        </form>
                    </div>
                    </div>
                <% } %>
            </div>
            <div id="emptyMessage">
                <p>Oops! There's no products with this combination of filters.</p>
            </div>
            <div class="popup" id="productsPopup">
            </div>
            <% if (locals.errors) { %>
                <script>window.errors = <%- JSON.stringify(errors) %>;</script>
            <% } %>
        </main>
        <script src="../js/productsScript.js"></script>
    </body>
</html> 